SYD_SH(1)

NAME

syd-sh - simple confined shell based on wordexp(3)

SYNOPSIS

syd-sh [-helsx] [--] [command_file [argument...]]

syd-sh [-helx] -c command_string [command_name [argument...]]

DESCRIPTION

syd-sh is a simple confined shell based on wordexp(3). Each command is executed in its own confined environment. Confinement is done using Landlock, namespaces and seccomp. Command timeout is 3 seconds.

OPTIONS

-h | Display help.
-c | Read commands from the given command_string operand. No commands are read from standard input.
-e | If not interactive, exit immediately if any untested command fails.
-l | Ignored, login shell compatibility
-s | Read commands from the standard input. If no operands and the -c it not specified, the -s option is assumed.
-x | Write each command to standard error (preceded by a "+ ") before it is executed. Useful for debugging.

SEE ALSO

syd(1), syd(2), syd(5), wordexp(3)

syd homepage: https://sydbox.exherbolinux.org/

AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss in #sydbox on Libera Chat or in #sydbox:mailstation.de on Matrix.